import 'package:flutter/material.dart';
import 'package:sl7_fwork_flutter/widgets/inputFormContainer/input_form_control_label.dart';

class InputFormItemWidget extends StatelessWidget {
  final String? label;
  final Color? labelColor;
  final Widget child;

  const InputFormItemWidget({
    Key? key,
    required this.child,
    this.label,
    this.labelColor,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.only(top: 10, left: 10),
      child: Column(
        children: [
          if (!['', null].contains(label))
            InputFormControlLabelWidget(
              label: label.toString(),
              color: labelColor,
            ),
          child,
        ],
      ),
    );
  }
}
