import 'package:flutter/material.dart';

class InputFormControlLabelWidget extends StatelessWidget {
  final String label;
  final Color? color;
  final double? marginBottom;

  const InputFormControlLabelWidget({
    Key? key,
    required this.label,
    this.color,
    this.marginBottom,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Align(
          alignment: Alignment.centerLeft,
          child: Text(
            label.toString(),
            style: TextStyle(
              color: color,
            ),
          ),
        ),
        SizedBox(
          height: marginBottom ?? 10,
        ),
      ],
    );
  }
}
