import 'package:flutter/material.dart';

class SpinnerContentWidget extends StatelessWidget {
  final String? text;
  final Color? textColor;
  final Color? color;
  final double? spinnerHeight;
  final double? spinnerWidth;

  const SpinnerContentWidget({
    Key? key,
    this.text,
    this.textColor,
    this.color,
    this.spinnerHeight,
    this.spinnerWidth,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      mainAxisSize: MainAxisSize.min,
      children: [
        spinnerHeight != null && spinnerWidth != null
            ? SizedBox(
                height: spinnerHeight,
                width: spinnerWidth,
                child: CircularProgressIndicator(
                  color: color,
                ),
              )
            : CircularProgressIndicator(
                color: color,
              ),
        if (text != null)
          const SizedBox(
            height: 10,
          ),
        if (text != null)
          Container(
            padding: const EdgeInsets.all(10),
            color: color,
            child: Text(
              text.toString(),
              style: TextStyle(color: textColor),
            ),
          )
      ],
    );
  }
}
