import 'package:flutter/material.dart';
import 'package:loading_animation_widget/loading_animation_widget.dart';

class StaggeredDotsWaveWidget extends StatelessWidget {
  final String? text;
  final double? staggeredDotsWaveHeight;
  final double? staggeredDotsWaveWidth;
  final Color color;
  final Color textColor;

  const StaggeredDotsWaveWidget({
    Key? key,
    this.text,
    this.staggeredDotsWaveHeight,
    this.staggeredDotsWaveWidth,
    required this.color,
    required this.textColor,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      mainAxisSize: MainAxisSize.min,
      children: [
        staggeredDotsWaveHeight != null && staggeredDotsWaveWidth != null
            ? SizedBox(
                height: staggeredDotsWaveHeight,
                width: staggeredDotsWaveWidth,
                child: LoadingAnimationWidget.staggeredDotsWave(
                  color: color,
                  size: 40,
                ),
              )
            : LoadingAnimationWidget.staggeredDotsWave(
                color: color,
                size: 40,
              ),
        if (text != null)
          const SizedBox(
            height: 10,
          ),
        if (text != null)
          Container(
            padding: const EdgeInsets.all(10),
            color: color,
            child: Text(
              text.toString(),
              style: TextStyle(color: textColor),
            ),
          )
      ],
    );
  }
}
